%global commit 6774c97d936739d61fbc24d3195ddd687c6f7b47
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           openblox
Version:        0.1.1
Release:        6.git%{shortcommit}%{?dist}
Summary:        Reference client implementation of the OpenBlox game engine.

License:        GPLv3+
URL:            https://git.openblox.org/openblox/openblox/
Source0:        https://git.openblox.org/openblox/openblox/-/archive/%{commit}/openblox-%{commit}.tar.gz

BuildRequires:  gcc-c++ autoconf autoconf-archive automake libtool make
BuildRequires:  libopenblox-devel irrlicht-devel pugixml-devel

%if 0%{?epel:1}
BuildRequires:  lua53-devel bullet-devel SDL2-devel enet-devel
Requires:       lua53
%else
BuildRequires:  lua-devel
Requires:       lua
%endif

Requires:       libopenblox

%description
The reference client implementation of the OpenBlox game engine.

%prep
%setup -q -n openblox-%{commit}/

%build
./autoconf.sh

%if 0%{?epel:1}
# Because you have to set LENET_CFLAGS, and I can't seem to get LLUA_CLFAGS to work
export LENET_CFLAGS="-I/opt/lua-5.3/include"
export LENET_LIBS="-lenet"

export LOPENBLOX_CFLAGS="-I/usr/include/openblox -I/opt/lua-5.3/include -I/usr/include/SDL2"
export LOPENBLOX_LIBS="-lopenblox -lm -llua"

export LLUA_CFLAGS="-I/opt/lua-5.3/include"
%if %{__isa_bits} == 64
export LLUA_LIBS="-L/opt/lua-5.3/lib64"
export LDFLAGS="$LDFLAGS -L/opt/lua-5.3/lib64"
%else
export LLUA_LIBS="-L/opt/lua-5.3/lib"
export LDFLAGS="$LDFLAGS -L/opt/lua-5.3/lib"
%endif
%endif

%configure

make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files
%license COPYING
%{_bindir}/openblox
%{_mandir}/man1/openblox.1.gz

%changelog
* Sun Nov 18 2018 John Harris <johnmh@splentity.com> - 0.1.1-6
- Fix EPEL support

* Sat Nov 17 2018 John Harris <johnmh@splentity.com> - 0.1.1-5
- EPEL support attempt

* Sat Nov 17 2018 John Harris <johnmh@splentity.com> - 0.1.1-4
- Bump revision

* Thu Nov 15 2018 John Harris <johnmh@splentity.com> - 0.1.1-3
- Fix description

* Thu Nov 15 2018 John Harris <johnmh@splentity.com> - 0.1.1-2
- Add autoconf-archive as builddep
- Add pugixml-devel as builddep
- Add irrlicht-devel as builddep (pkg-config files are needed, nothing more)

* Thu Nov 15 2018 John Harris <johnmh@splentity.com> - 0.1.1-1
- Initial packaging of openblox
